**********************************************************
*                      2000 Census                       *
*                    Rates by regions                    *
*********************************************************;
libname tab   'E:\demo\paper\table\region\2000';
options obs=max;

/*merge migrants and population at the end of the period*/
proc sort data=tab.mig;
  by region sex;

proc sort data=tab.pop;
  by region sex;

data tab.merge;
  merge tab.mig tab.pop;
  by region sex;
run;

/*merge previous data and population at the beginning of the period*/
proc sort data=tab.merge;
  by regprev sex;

proc sort data=tab.popbeg;
  by regprev sex;

data tab.merge;
  merge tab.merge tab.popbeg;
  by regprev sex;
run;

/*proportion of migrants in the population of origin*/
data tab.merge;
  set tab.merge;
prop00 = mig00 / popbeg00;
run;
